/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import java.util.Objects;
import com.google.gson.TypeAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.IOException;
import java.math.BigDecimal;

/**
 * Customer information.
 */
@ApiModel(description = "Customer information.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Customer {
  @SerializedName("excess_level")
  private BigDecimal excessLevel = null;

  @SerializedName("customer_type")
  private String customerType = null;

  @SerializedName("owner_type")
  private String ownerType = null;

  public Customer excessLevel(BigDecimal excessLevel) {
    this.excessLevel = excessLevel;
    return this;
  }

   /**
   * Excess level.
   * @return excessLevel
  **/
  @ApiModelProperty(example = "99.99", value = "Excess level.")
  public BigDecimal getExcessLevel() {
    return excessLevel;
  }

  public void setExcessLevel(BigDecimal excessLevel) {
    this.excessLevel = excessLevel;
  }

  public Customer customerType(String customerType) {
    this.customerType = customerType;
    return this;
  }

   /**
   * Customer type. Expected values (professional, individual, collective)
   * @return customerType
  **/
  @ApiModelProperty(value = "Customer type. Expected values (professional, individual, collective)")
  public String getCustomerType() {
    return customerType;
  }

  public void setCustomerType(String customerType) {
    this.customerType = customerType;
  }

  public Customer ownerType(String ownerType) {
    this.ownerType = ownerType;
    return this;
  }

   /**
   * Owner type. Expected values (landlord, tenant)
   * @return ownerType
  **/
  @ApiModelProperty(value = "Owner type. Expected values (landlord, tenant)")
  public String getOwnerType() {
    return ownerType;
  }

  public void setOwnerType(String ownerType) {
    this.ownerType = ownerType;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Customer customer = (Customer) o;
    return Objects.equals(this.excessLevel, customer.excessLevel) &&
        Objects.equals(this.customerType, customer.customerType) &&
        Objects.equals(this.ownerType, customer.ownerType);
  }

  @Override
  public int hashCode() {
    return Objects.hash(excessLevel, customerType, ownerType);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Customer {\n");
    
    sb.append("    excessLevel: ").append(toIndentedString(excessLevel)).append("\n");
    sb.append("    customerType: ").append(toIndentedString(customerType)).append("\n");
    sb.append("    ownerType: ").append(toIndentedString(ownerType)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

